4Suite™ API Documentation

# ► Module Ft.Server.Server.SCore.XsltDocumentDefinitionImp

XsltDocumentDefinition repository resource class
Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: XsltDocumentDefinitionImp |  |  |  | Functions: NewDocumentDefinitionXml |  |  |  | Fields: FTSERVER_NAMESPACE, NEW_SHEET_XUPDATE

## Classes

class XsltDocumentDefinitionImp(Ft.Server.Server.SCore.DocumentDefinitionImp.DocumentDefinitionImp, Ft.Server.Server.SCore.XsltDocumentImp.XsltDocumentImp)
An XSLT-based document definition document

### Methods

asStylesheet(self)
getExtFunctionsAndElements(self)
setContent(self, src)

### Methods inherited from class Ft.Server.Server.SCore.DocumentDefinitionImp.DocumentDefinitionImp

addBaseDocumentDefinition, getBaseDefinitions, getCreationParams, getDerivedDefinitions, getMetaDocumentUris, removeBaseDocumentDefinition, setCreationParams

### Methods inherited from class Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp

expandXLink, getDocumentDefinition, getValidationInfo, setDocumentDefinition

### Methods inherited from class Ft.Server.Server.SCore.RawFileImp.RawFileImp

asSchematron, getContent, getContentResource, getImt, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Server.SCore.ResourceMetaDataImp.ResourceMetaDataImp

__init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContentSlice, getCreationDate, getDisplayPath, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, hasResource, inheritAcl, isResourceType, markTemporary, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setOwner, toXPathContext, verifyAcl, xUpdate

### Fields

resourceType = 11

## Functions

NewDocumentDefinitionXml(driver, path, acl, owner, imt, src, docDef)

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
NEW_SHEET_XUPDATE = '<?xml version="1.0"?>\n<xupdate:modifications\n v...s/>\n </xupdate:append>\n</xupdate:modifications>\n'